Quassel IRC - Bug #343

Initial nicknames are not randomized correctly
10/09/2008 11:05 AM - seezer

Status: Rejected Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

Code already states "FIXME" - so here is a patch.

History

#1 - 10/19/2008 10:03 PM - Sputnick

Hmm, we do gsrand() at startup already (in the Quassel class' ctor, quassel.cpp). Works fine for me too, but still quassel251 seems to be a quite
common "random" nick for others. | wonder if moving the seeding into Identity and calling it every time we need a random number really fixes the
problem...

#2 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#3 - 02/07/2009 08:54 PM - EgS
- Status changed from New to Rejected

- Version set to 0.3.1+

In regards of #516 this BR doesn't make any more sense.
-> rejected

Files

0001-Default-nicknames-are-now-randomized-correctly-tm.patch 1.01 KB 10/09/2008 admin
